Bug 1837959 - [abrt] gnome-abrt: update_title(): problems.py:136:update_title:AttributeError: module 'urllib' has no attribute 'error'
Summary: [abrt] gnome-abrt: update_title(): problems.py:136:update_title:AttributeErro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b810e156866c0b81b7136fc4b93...
: 1838035 1838269 1838305 1838398 1838582 1838726 1838852 1839129 1839236 1839252 1839307 1839312 1839438 1839445 1839457 1839502 1839510 1839576 1839640 1839669 1840015 1840223 1840696 1840917 1840967 1842296 1849253 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-20 09:36 UTC by Ludovic Hirlimann [:Paul-muadib]
Modified: 2020-07-14 13:57 UTC (History)
44 users (show)

Fixed In Version: gnome-abrt-1.3.4-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-24 03:28:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (872 bytes, text/plain)
2020-05-20 09:36 UTC, Ludovic Hirlimann [:Paul-muadib]
no flags Details
File: cgroup (571 bytes, text/plain)
2020-05-20 09:36 UTC, Ludovic Hirlimann [:Paul-muadib]
no flags Details
File: cpuinfo (2.48 KB, text/plain)
2020-05-20 09:36 UTC, Ludovic Hirlimann [:Paul-muadib]
no flags Details
File: environ (1.96 KB, text/plain)
2020-05-20 09:36 UTC, Ludovic Hirlimann [:Paul-muadib]
no flags Details
File: mountinfo (6.88 KB, text/plain)
2020-05-20 09:36 UTC, Ludovic Hirlimann [:Paul-muadib]
no flags Details
File: namespaces (172 bytes, text/plain)
2020-05-20 09:36 UTC, Ludovic Hirlimann [:Paul-muadib]
no flags Details
File: open_fds (2.53 KB, text/plain)
2020-05-20 09:36 UTC, Ludovic Hirlimann [:Paul-muadib]
no flags Details

Description Ludovic Hirlimann [:Paul-muadib] 2020-05-20 09:36:18 UTC
Version-Release number of selected component:
gnome-abrt-1.3.2-3.fc32

Additional info:
reporter:       libreport-2.13.1
cmdline:        /usr/bin/python3 /usr/bin/gnome-abrt -p /var/spool/abrt/oops-2020-05-20-08:21:37-1584-0
crash_function: update_title
exception_type: AttributeError
executable:     /usr/bin/gnome-abrt
interpreter:    python3-3.8.2-2.fc32.x86_64
kernel:         5.6.13-300.fc32.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
problems.py:136:update_title:AttributeError: module 'urllib' has no attribute 'error'

Traceback (most recent call last):
  File "/usr/lib64/python3.8/site-packages/gnome_abrt/problems.py", line 131, in update_title
    html = urllib.request.urlopen(self._data).read().decode("UTF-8")
AttributeError: module 'urllib' has no attribute 'request'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.8/site-packages/gnome_abrt/problems.py", line 136, in update_title
    except urllib.error.HTTPError as ex:
AttributeError: module 'urllib' has no attribute 'error'

Local variables in innermost frame:
task: <Gio.Task object at 0x7fa2b4728200 (GTask at 0x7fa2a40108f0)>
source_object: None
task_data: None
cancellable: None
self: <gnome_abrt.problems.Problem.Submission object at 0x7fa2b639bc40>

Comment 1 Ludovic Hirlimann [:Paul-muadib] 2020-05-20 09:36:22 UTC
Created attachment 1690126 [details]
File: backtrace

Comment 2 Ludovic Hirlimann [:Paul-muadib] 2020-05-20 09:36:24 UTC
Created attachment 1690127 [details]
File: cgroup

Comment 3 Ludovic Hirlimann [:Paul-muadib] 2020-05-20 09:36:25 UTC
Created attachment 1690128 [details]
File: cpuinfo

Comment 4 Ludovic Hirlimann [:Paul-muadib] 2020-05-20 09:36:27 UTC
Created attachment 1690129 [details]
File: environ

Comment 5 Ludovic Hirlimann [:Paul-muadib] 2020-05-20 09:36:29 UTC
Created attachment 1690130 [details]
File: mountinfo

Comment 6 Ludovic Hirlimann [:Paul-muadib] 2020-05-20 09:36:30 UTC
Created attachment 1690131 [details]
File: namespaces

Comment 7 Ludovic Hirlimann [:Paul-muadib] 2020-05-20 09:36:32 UTC
Created attachment 1690132 [details]
File: open_fds

Comment 8 snehalbaghel 2020-05-20 11:53:52 UTC
*** Bug 1838035 has been marked as a duplicate of this bug. ***

Comment 9 Alexander Mayorov 2020-05-20 18:42:42 UTC
Similar problem has been detected:

Start wireshark from wireshark-3.2.3-1.fc32.x86_64

reporter:       libreport-2.13.1
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-launched-org.freedesktop.GnomeAbrt.desktop-7892.scope
cmdline:        /usr/bin/python3 /usr/bin/gnome-abrt
crash_function: update_title
exception_type: AttributeError
executable:     /usr/bin/gnome-abrt
interpreter:    python3-3.8.2-2.fc32.x86_64
kernel:         5.6.13-300.fc32.x86_64
package:        gnome-abrt-1.3.2-3.fc32
reason:         problems.py:136:update_title:AttributeError: module 'urllib' has no attribute 'error'
runlevel:       N 5
type:           Python3
uid:            1000

Comment 10 Alexander Mayorov 2020-05-20 18:49:19 UTC
(In reply to Alexander Mayorov from comment #9)
> Similar problem has been detected:
> 
> Start wireshark from wireshark-3.2.3-1.fc32.x86_64

Wrong description was provided.
The issue appears during an attempt to report wireshark issue.

Comment 11 bart.scheerlinck 2020-05-20 19:07:55 UTC
*** Bug 1838269 has been marked as a duplicate of this bug. ***

Comment 12 Renaldo Freire 2020-05-20 20:15:57 UTC
*** Bug 1838305 has been marked as a duplicate of this bug. ***

Comment 13 Fedora Update System 2020-05-20 20:27:55 UTC
FEDORA-2020-80228b3e55 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-80228b3e55

Comment 14 mdelfava 2020-05-21 04:21:54 UTC
*** Bug 1838398 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Update System 2020-05-21 05:23:51 UTC
FEDORA-2020-80228b3e55 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-80228b3e55`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-80228b3e55

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Ryan 2020-05-21 11:54:13 UTC
*** Bug 1838582 has been marked as a duplicate of this bug. ***

Comment 17 Fedora Update System 2020-05-21 14:26:58 UTC
FEDORA-2020-80228b3e55 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-80228b3e55

Comment 18 Axel Wintermann 2020-05-21 16:37:55 UTC
*** Bug 1838726 has been marked as a duplicate of this bug. ***

Comment 19 littm.kaina 2020-05-21 21:37:42 UTC
*** Bug 1838852 has been marked as a duplicate of this bug. ***

Comment 20 Fedora Update System 2020-05-22 04:23:36 UTC
FEDORA-2020-80228b3e55 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-80228b3e55`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-80228b3e55

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Francois 2020-05-22 14:34:41 UTC
*** Bug 1839129 has been marked as a duplicate of this bug. ***

Comment 22 Ary Sousa 2020-05-22 19:56:38 UTC
*** Bug 1839236 has been marked as a duplicate of this bug. ***

Comment 23 xzj8b3 2020-05-22 21:07:12 UTC
*** Bug 1839252 has been marked as a duplicate of this bug. ***

Comment 24 al3arbe1@gmail.com 2020-05-23 08:14:03 UTC
*** Bug 1839307 has been marked as a duplicate of this bug. ***

Comment 25 ktaturu 2020-05-23 08:48:29 UTC
*** Bug 1839312 has been marked as a duplicate of this bug. ***

Comment 26 Fedora Update System 2020-05-24 03:28:34 UTC
FEDORA-2020-80228b3e55 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Berend De Schouwer 2020-05-24 03:48:27 UTC
Similar problem has been detected:

I received a reported on a crashed application, and was asked to report it.

I actually know what caused the original crash, so I chose to delete the report instead.

Then gnome-abrt crashed.

Notable: new installation, so gnome-abrt didn't yet have a bugzilla login.

reporter:       libreport-2.13.1
cmdline:        /usr/bin/python3 /usr/bin/gnome-abrt -p /var/spool/abrt/Python3-2020-05-23-17:10:21-48741
crash_function: update_title
exception_type: AttributeError
executable:     /usr/bin/gnome-abrt
interpreter:    python3-3.8.2-2.fc32.x86_64
kernel:         5.6.13-300.fc32.x86_64
package:        gnome-abrt-1.3.2-3.fc32
reason:         problems.py:136:update_title:AttributeError: module 'urllib' has no attribute 'error'
runlevel:       N 5
type:           Python3
uid:            1000

Comment 28 kkibwage 2020-05-24 04:21:35 UTC
*** Bug 1839438 has been marked as a duplicate of this bug. ***

Comment 29 Pham Khac Dat 2020-05-24 04:47:36 UTC
*** Bug 1839445 has been marked as a duplicate of this bug. ***

Comment 30 ludat77 2020-05-24 07:39:24 UTC
*** Bug 1839457 has been marked as a duplicate of this bug. ***

Comment 31 Romulo Souza 2020-05-24 12:49:45 UTC
*** Bug 1839502 has been marked as a duplicate of this bug. ***

Comment 32 Martino 2020-05-24 13:12:59 UTC
*** Bug 1839510 has been marked as a duplicate of this bug. ***

Comment 33 Andres Beek 2020-05-24 20:41:36 UTC
Similar problem has been detected:

I was changign settingd for DeaDBeeF.
I disabled stereo widener and EQ plugins and changed PulseAudio buffer from 100 ms to 500 ms.

reporter:       libreport-2.13.1
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/dbus\x2d:1.2\x2dorg.freedesktop.problems.applet.slice/dbus-:1.2-org.freedesktop.problems.applet@0.service
cmdline:        /usr/bin/python3 /usr/bin/gnome-abrt -p /var/spool/abrt/oops-2020-05-24-23:21:48-823-0
crash_function: update_title
exception_type: AttributeError
executable:     /usr/bin/gnome-abrt
interpreter:    python3-3.8.2-2.fc32.x86_64
kernel:         5.6.13-300.fc32.x86_64
package:        gnome-abrt-1.3.2-3.fc32
reason:         problems.py:136:update_title:AttributeError: module 'urllib' has no attribute 'error'
runlevel:       N 5
type:           Python3
uid:            1000

Comment 34 Alf Delgado 2020-05-25 07:17:59 UTC
*** Bug 1839640 has been marked as a duplicate of this bug. ***

Comment 35 Vango Stavro 2020-05-25 08:35:45 UTC
*** Bug 1839669 has been marked as a duplicate of this bug. ***

Comment 36 D. Hugh Redelmeier 2020-05-25 20:57:33 UTC
Similar problem has been detected:

Pulse Audio Volume Control crashed.  I ran abrt to report that problem.  It failed.

Since then I've run a dnf update.  (The system had been updated  two days before.)

reporter:       libreport-2.13.1
cgroup:         0::/user.slice/user-1104.slice/user@1104.service/dbus\x2d:1.2\x2dorg.freedesktop.problems.applet.slice/dbus-:1.2-org.freedesktop.problems.applet@0.service
cmdline:        /usr/bin/python3 /usr/bin/gnome-abrt -p /var/spool/abrt/ccpp-2020-05-25-16:22:46.642761-11125
crash_function: update_title
exception_type: AttributeError
executable:     /usr/bin/gnome-abrt
interpreter:    python3-3.8.2-2.fc32.x86_64
kernel:         5.6.13-300.fc32.x86_64
package:        gnome-abrt-1.3.2-3.fc32
reason:         problems.py:136:update_title:AttributeError: module 'urllib' has no attribute 'error'
runlevel:       N 5
type:           Python3
uid:            1104

Comment 37 social_bot 2020-05-26 15:09:59 UTC
*** Bug 1840223 has been marked as a duplicate of this bug. ***

Comment 38 Vincenzo Luongo 2020-05-27 12:54:57 UTC
*** Bug 1840696 has been marked as a duplicate of this bug. ***

Comment 39 thazsobral 2020-05-27 21:31:27 UTC
*** Bug 1840917 has been marked as a duplicate of this bug. ***

Comment 40 Camilo Vargas 2020-05-28 02:36:50 UTC
*** Bug 1840967 has been marked as a duplicate of this bug. ***

Comment 41 Aidan Danielski 2020-05-31 16:22:00 UTC
*** Bug 1842296 has been marked as a duplicate of this bug. ***

Comment 42 Rogers 2020-06-20 02:15:52 UTC
*** Bug 1849253 has been marked as a duplicate of this bug. ***

Comment 43 Miroslav Suchý 2020-07-14 13:57:00 UTC
For the record fixed in commit e1b9a297e6b7013074e4b485ac06ad5027cacbf1

Comment 44 Miroslav Suchý 2020-07-14 13:57:19 UTC
*** Bug 1839576 has been marked as a duplicate of this bug. ***

Comment 45 Miroslav Suchý 2020-07-14 13:57:45 UTC
*** Bug 1840015 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.